> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerviewervariables



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/ViewerVariables
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/ViewerVariables:
    post:
      tags:
        - ViewerVariable
      operationId: ViewerVariable_EditViewerVariables
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditViewerVariablesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditViewerVariablesResult'
components:
  schemas:
    EditViewerVariablesRequest:
      type: object
      additionalProperties: false
      required:
        - Variables
      properties:
        Variables:
          type: array
          items:
            $ref: '#/components/schemas/Variable2'
    EditViewerVariablesResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfEditViewerVariableResult'
        - type: object
          additionalProperties: false
    Variable2:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        Name:
          type: string
          maxLength: 32
          minLength: 1
          pattern: ^[a-zA-Z0-9_-]{3,30}$
        Description:
          type: string
          maxLength: 256
          nullable: true
        DefaultValue:
          type: string
          nullable: true
    MultiValueResultOfEditViewerVariableResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/EditViewerVariableResult'
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    EditViewerVariableResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            Id:
              type: string
              format: guid
              nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````